Package org.springframework.cglib.core

# Class ClassTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer

Direct Known Subclasses:
  `AbstractClassTransformer`, `ClassEmitter`, `ClassTransformerTee`

public abstract class ClassTransformer extends ClassVisitor

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`ClassTransformer()`
`ClassTransformer(int opcode)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`setTarget(ClassVisitor target)`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassTransformer

public ClassTransformer()

### ClassTransformer

public ClassTransformer(int opcode)

## Method Details

### setTarget

public abstract void setTarget(ClassVisitor target)